package gonganxitong

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/aaa"
	"shylinux.com/x/icebergs/base/web"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type sess struct {
	Table
	create string `name:"create user_uid*"`
	check  string `name:"check uid*"`
}

func (s sess) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, model.USER_UID, m.Option(model.USER_UID), aaa.IP, m.Option(ice.MSG_USERIP), web.AGENT, m.Option(ice.MSG_USERUA))
	m.ProcessCookie(ice.MSG_SESSID, kit.JoinWord(web.SPACE, m.Option(ice.MSG_USERPOD), m.PrefixKey(), aaa.CHECK, m.Result()), "-2")
}
func (s sess) Check(m *ice.Message, arg ...string) {
	msg := s.Table.Select(m.Spawn(), model.UID, arg[0])
	m.Option(ice.MSG_USERNAME, msg.Append(model.USER_UID))
}

func init() { ice.Cmd(prefixKey(), sess{}) }
