package gonganxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type email struct {
	user   user
	portal portal
	list   string `name:"list auto" help:"邮箱配置"`
}

func (s email) Init(m *ice.Message, arg ...string) {
	m.GoSleep("30ms", func() { s.portal.Show(m) })
}
func (s email) List(m *ice.Message, arg ...string) {
	m.FieldsSetDetail()
	m.Cmdy(s.user, s.user.Select, model.UID, s.user.UserUID(m))
}

func init() { ice.Cmd(prefixKey(), email{}) }
